
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%define agent_release %(echo "${AGENT_RELEASE:-1}")
%define osbuilder_release %{agent_release}

Name:           kata-image
Version:        1.11.3
Release:        %{agent_release}.%{osbuilder_release}.ol%{?oraclelinux}_%{build_date}
License:        Oracle Linux License Agreement
Vendor:		    Oracle America
Summary:        Oracle Linux image for Kata containers
Group:          image
Source0:        %{name}-%{version}.tar.bz2

BuildRequires: golang >= 1.13.15
BuildRequires: qemu-img
BuildRequires: parted
BuildRequires: e2fsprogs
BuildRequires: util-linux
BuildRequires: yq
BuildRequires: wget

%description
Kata Containers Image based upon Oracle Linux

%prep
%setup -q

%build
echo kata_image_release=%{release}
export VERSION=${AGENT_VERSION:-%{version}}
export RELEASE=${AGENT_RELEASE:-%{agent_release}}%{?dist}
sh build_kata_image %{?oraclelinux}

%install
ImageDir=%{buildroot}/usr/share/kata-containers
mkdir -p ${ImageDir}
install -p kata-containers.img ${ImageDir}/kata-containers-%{version}.img
install -p kata-containers-initrd.img ${ImageDir}/kata-containers-initrd-%{version}.img
ln -sf kata-containers-%{version}.img ${ImageDir}/kata-containers.img
ln -sf kata-containers-initrd-%{version}.img ${ImageDir}/kata-containers-initrd.img

# Deliver the License
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
install -p buildrpm/EULA %{buildroot}/usr/share/doc/%{name}-%{version}/EULA

%files
%license buildrpm/EULA NOTICE
%dir /usr/share/kata-containers
/usr/share/kata-containers/kata-containers-%{version}.img
/usr/share/kata-containers/kata-containers-initrd-%{version}.img
/usr/share/kata-containers/kata-containers.img
/usr/share/kata-containers/kata-containers-initrd.img
%doc /usr/share/doc/%{name}-%{version}/EULA

%changelog
* Tue Nov 03 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.11.3-3
- Fix kata-image build

* Thu Oct 22 2020 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.11.3-2
- Added OL8 build changes

* Thu Oct 22 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.11.3-1
- Added Oracle Specific Build Files for kata-image
